Package Details: wingide 7.2.4.0.1-1

Git Clone URL: https://aur.archlinux.org/wingide.git (read-only, click to copy)
Package Base: wingide
Description: Wing IDE Professional is the full-featured Python IDE for professional programmers.
Upstream URL: http://www.wingware.com
Licenses: custom
Submitter: None
Maintainer: None
Last Packager: thotypous
Votes: 45
Popularity: 0.000000
First Submitted: 2008-03-13 17:00
Last Updated: 2020-08-22 23:39

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

flexiondotorg commented on 2014-01-27 09:57

@loneranger - I can't reproduce this :-( WingIDE is a static binary so should not require any system libraries. Certainly `ldd` proves this.

loneranger commented on 2014-01-27 03:11

Hi guys,

Could you help me figure out why my instance of wingide won't start?
I created a topic here: https://bbs.archlinux.org/viewtopic.php?pid=1375283.

Basically, every time I start it I'm getting the following errors:

wingide
================================================================================
STARTING WING with args:
['/opt/wingide/bin/wing.py', '--squelch-output']
sys.executable=/opt/wingide/bin/runtime-python2.7/bin/python2.7
sys.maxint=9223372036854775807
LD_LIBRARY_PATH=''
DYLD_LIBRARY_PATH=''
DYLD_FALLBACK_LIBRARY_PATH=''
PATH=/opt/java/bin:/opt/java/bin:/opt/java/bin:/opt/java/bin:/opt/java/bin:/opt/java/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/opt/java/bin:/opt/java/db/bin:/opt/java/jre/bin:/usr/bin/vendor_perl:/usr/bin/core_perl
Running Wing IDE with Python version 2.7.3
Using precompiled binaries for Python version 2.7
PYTHONPATH=[u'/opt/wingide/bin/2.7/src.zip', u'/opt/wingide/bin/2.7/opensource.zip', u'/opt/wingide/bin/2.7/external.zip/docutils/extras', u'/opt/wingide/bin/2.7/external.zip/docutils', u'/opt/wingide/bin/2.7/external.zip/pysqlite', u'/opt/wingide/bin/2.7/external.zip/Imaging-1.1.7', u'/opt/wingide/bin/runtime-pyside-py2.7/lib/python2.7/site-packages', u'/opt/wingide/bin/runtime-scintillaeditpy-py2.7/lib/python2.7/site-packages', '/opt/wingide/bin', '/opt/wingide/bin/runtime-python2.7/lib/python27.zip', '/opt/wingide/bin/runtime-python2.7/lib/python2.7/', '/opt/wingide/bin/runtime-python2.7/lib/python2.7/plat-linux2', '/opt/wingide/bin/runtime-python2.7/lib/python2.7/lib-tk', '/opt/wingide/bin/runtime-python2.7/lib/python2.7/lib-old', '/opt/wingide/bin/runtime-python2.7/lib/python2.7/lib-dynload']
DYNLIB_DIRS=/opt/wingide/bin/2.7/src, /opt/wingide/bin/2.7/opensource, /opt/wingide/bin/2.7/external/docutils/extras, /opt/wingide/bin/2.7/external/docutils, /opt/wingide/bin/2.7/external/pysqlite, /opt/wingide/bin/2.7/external/Imaging-1.1.7, /opt/wingide/bin/2.7/bin/runtime-pyside-py2.7/lib/python2.7/site-packages, /opt/wingide/bin/2.7/bin/runtime-scintillaeditpy-py2.7/lib/python2.7/site-packages
PATCHES=
Exception occurred while loading qt; use_system_qt = False
Traceback (most recent call last):
File "/opt/wingide/bin/wing.py", line 915, in Initialize
qt_version = InitializeQt4(kWingHome, not use_system_qt)
File "/opt/wingide/bin/wing.py", line 662, in InitializeQt4
ctypes.cdll.LoadLibrary(fullname)
File "/opt/wingide/bin/runtime-python2.7/lib/python2.7/ctypes/__init__.py", line 443, in LoadLibrary
return self._dlltype(name)
File "/opt/wingide/bin/runtime-python2.7/lib/python2.7/ctypes/__init__.py", line 365, in __init__
self._handle = _dlopen(self._name, mode)
OSError: libpng12.so.0: cannot open shared object file: No such file or directory
Traceback (most recent call last):
File "/opt/wingide/bin/wing.py", line 991, in <module>
Main(list(sys.argv))
File "/opt/wingide/bin/wing.py", line 958, in Main
squelch_output = Initialize(argv)
File "/opt/wingide/bin/wing.py", line 925, in Initialize
qt_version = InitializeQt4(kWingHome, use_system_qt)
File "/opt/wingide/bin/wing.py", line 697, in InitializeQt4
from guiutils import wgtk
File "2.7/src/guiutils/wgtk.pyo", line 27, in <module>
File "2.7/src/guiutils/wgtk_qt4.pyo", line 15, in <module>
ImportError: libQtGui.so.4: cannot open shared object file: No such file or directory

I understand that I might be missing proper PyQT and libpng12.so.0 packages but I don't know which one to install: python-pyqt4/5 or python-pyside.
Is there a way to fix with minimum hacks (i.e. installing random libraries/packages)?

execat commented on 2013-11-16 14:54

Updated to 5.0.0

execat commented on 2013-09-22 05:25

Updated to 4.1.14

execat commented on 2013-05-10 04:08

Updated to 4.1.13

execat commented on 2013-04-11 05:20

@xgdgsc: I recently moved from $startdir/pkg and $startdir/src to $pkgdir and $srcdir. Or so I thought.

There was one $startdir/pkg left unnoticed in the mentioned line, but it's fixed now. Stupid mistakes. :-)

xgdgsc commented on 2013-04-11 04:04

ln: failed to create symbolic link ‘/tmp/yaourt-tmp-gsc/aur-wingide/pkg/usr/share/pixmaps/wingide.png’: No such file or directory
==> ERROR: A failure occurred in package().
Aborting...

execat commented on 2013-03-02 05:58

Updated with MD5s for x86, x86_64.

Lastebil commented on 2013-03-01 09:20

incomplete diff for pkgbuild (I didn't check the 32bit binary): http://pastie.org/6359252

(Yes it probably is totally overkill to do a unified diff for the md5 and version number but...)

execat commented on 2013-02-01 06:50

Thanks flexiondotorg. :-)

Updated.